/**
 * Created on Jul 3, 2005
 * $id:  $
 */
package org.jvnet.lookout.core.model;

import java.util.HashMap;
import java.util.Map;


public class SearchResult {
        
    private Map<SearchResultProperty, Object> properties;
    
    public SearchResult() {
        properties = new HashMap<SearchResultProperty, Object>(5); 
    }

    public Object getProperty(SearchResultProperty property) {
        return properties.get(property);
    }
    
    public void setProperty(SearchResultProperty property, Object value) {
        properties.put(property, value);;
    }
    
    public SearchResultType getType() {
        return (SearchResultType)properties.get(SearchResultProperty.TYPE);
    }
    public void setType(SearchResultType type) {
        properties.put(SearchResultProperty.TYPE, type);
    }
    
    public SearchResultSource getSource() {
        return (SearchResultSource)properties.get(SearchResultProperty.SOURCE);
    }
    public void setSource(SearchResultSource source) {
        properties.put(SearchResultProperty.SOURCE, source);
    }        
}
